Aller au contenu principal
Sujet: openSUSE LEAP va t'elle continuer au-delà de la 15.5? (Lu 4446 fois) sujet précédent - sujet suivant

Re : openSUSE LEAP va t'elle continuer au-delà de la 15.5?

Répondre #45
Savez vous s'il y a un risque que tumbleweed soit impactée?
Dépend-elle de SLE au final?

J'avoue avoir tester pas mal de distrib, et seule opensuse permet de facilement faire un chiffrement LVM encrypt avec /boot non chiffré... (bref un truc à la carte).

Re : openSUSE LEAP va t'elle continuer au-delà de la 15.5?

Répondre #46
Savez vous s'il y a un risque que tumbleweed soit impactée?
Dépend-elle de SLE au final?

J'avoue avoir tester pas mal de distrib, et seule opensuse permet de facilement faire un chiffrement LVM encrypt avec /boot non chiffré... (bref un truc à la carte).
Non pas de changement prévu pour Tumbleweed 😉

Re : openSUSE LEAP va t'elle continuer au-delà de la 15.5?

Répondre #47
Comme dit, la majorité des distributions freezées prennent cette voie.
Un socle sur lequel ils mettront des flatpak.
C'est le cas de redheat/Fedora à ma connaissance.
C'est le cas d'ubuntu qui a choisi Snap
Et c'est donc visiblement le choix de Suse SLE.

En distribution freezées qui ne font pas ça il reste donc:
- Mint qui se bas contre les choix d'ubuntu, ou qui a une voie via LMDE en étant dependant de Debian
- Debian mais qui a du coup des soucis de paquets, chromium n'était pratiquement plus mis à jour sur la dernière année. Firefox passe encore grasse à ESR, mais lorsque ESR change de version on peut retomber dans le même pb
- Mageia ou le sujet ne semble pas évoqué (enfin rien vu passer), distrib un peu à part vu que c'est freezé mais qu'ils font de grosses update d'un coup, donc des montées de versions ne posent pas de problème, sauf que pour la correction des majs de securité il y a forcément un temps de latence. C'est un peu comme une rolling release au final avec plus de retenu.


Et donc toutes les rolling releases qui sont à part car tout est fait au fur et à mesure.


Tumbleweed est à part, à ma connaissance c'est la seule distrib rolling release qui a des bases communes avec un os freezé.
Je ne sais pas comment le cheminement se fait, et toute la problématique est justement de savoir si tumbleweed dépend de SLE.
SI des choses sont communes ou pas et si SUSE participe d'une quelconque manière à ça.
Car si SLE passe en flatpak, sauf à ce que la méthode soit la même pour faire un flatpak que pour participer à tumbleweed, ils n'auront aucune raison de continuer à le faire.

Au delà de ça, tu peux aussi perdre des contributeurs qui étaient ceux qui participaient à LEAP + TUmbleweed (vu que beaucoup de choses sont communes) et donc l'un dans l'autre on peut aussi perdre des contributeurs.
IL me semblait que Tumbleweed servait de réservoir à Leap, et donc à SLE, donc Suse avait un intéret à participer.
Sans Leap ni SLE (enfin pas conçu pareil) il n'est pas sûr que cette utilité perdure. 
Donc je ne serais clairement pas aussi catégorie sur le "pas d'impact pour tumbleweed".

Re : openSUSE LEAP va t'elle continuer au-delà de la 15.5?

Répondre #48
Je transmets ce qui se dit sur la liste de diffusion. Tumbleweed ne rencontre pas les mêmes problèmes que Leap, son fonctionnement n'étant pas le même.
Comme tu le dis, le problème des stables actuellement est de suivre le rythme des mises à jour, essentiellement de sécurité me semble-t-il. Il y a beaucoup de rétroportages à faire, pas toujours simples à faire j'imagine.
Toutes les stables ont ce souci, y compris Debian. La conséquence est la présence de paquets qui ne sont pas corrigés ou pas très rapidement.
On peut voir aussi sur les bugzilla ou sur les déclarations de bugs sur github ou gitlab, les développeurs classer sans suite des bugs qui ont lieu sur des versions anciennes par rapport à la version stable qu'ils ont sorti.

Ceci dit, sur TW pour m'épargner d'éventuels soucis entre les dépôts officiels d'openSUSE et les dépôts externes, j'ai récemment fait le choix de basculer sur les flatpaks pour les logiciels qui me demandaient d'avoir un dépôt externe risquant le conflit. Je n'ai plus le dépôt éducation, office et packman. Je vais bien voir comment tout cela se comporte.

Re : openSUSE LEAP va t'elle continuer au-delà de la 15.5?

Répondre #49
Si c'est ce qu'ils confirment alors espérons que ça soit réellement le cas.
Après comme dit, même si ce n'est pas direct, tu peux quand même avoir cet effet de bord de départ des participants.

Sinon ce que tu évoques là avec les rolling release, c'est typiquement le genre de truc qui tue l'intéret de la rolling release.
Si c'est pour au final se retrouver avec du flatpak, quel est l'intéret de la rolling release?

Bon après si c'est très exceptionnel pour éviter un dépôt externe ok, mais tu mentionnes pacman donc déjà toute la partie multimedia et codec, si on rajoute en plus steam and co en flatpak quel est l'intéret de la rolling release???

Re : openSUSE LEAP va t'elle continuer au-delà de la 15.5?

Répondre #50
Sinon ce que tu évoques là avec les rolling release, c'est typiquement le genre de truc qui tue l'intéret de la rolling release.
Si c'est pour au final se retrouver avec du flatpak, quel est l'intéret de la rolling release?
Mes logiciels sont presque tous des dépôts :lyx, libreoffice, pdfaranger, xournal++, darktable,kolourpaint,... et python ! sans parler du noyau et de KDE et de tout le système qui fait tourner le reste.
en flatpak : vlc et firefox vokoscreenNG pour lire et faire des screencast comme je veux sans packman, openBoard pour éviter le dépôt éducation et Telegram car la version du dépôt semble avoir du mal à suivre le rythme de TW.
Sur TW, en flatpak j'ai passé ceux qui pouvaient me poser des soucis. S'il y a un accord comme pour Debian et qu'avec la version de firefox du dépôt officiel on peut lire ce qu'on veut, je repasserai dessus. De même pour VLC.

Ceci dit, pour moi, l'intérêt premier de l'installation de TW il y a un an : faire tourner le matériel récent !
Comme ça se passe bien avec TW : ne plus avoir à gérer les passages d'une version à l'autre.
L'avantage de TW sur d'autres rolling : des bugs relativement limités et pas trop de conflits à gérer dans les mises à jour, d'autant plus quand tu limites les dépôts externes.

J'ai installé fedora kinoite sur une VM. Installation très rapide. Elle ne me fait pas mauvaise impression comme ça. Je vais continuer à tester

Re : openSUSE LEAP va t'elle continuer au-delà de la 15.5?

Répondre #51
Merci pour la précision. :)

Re : openSUSE LEAP va t'elle continuer au-delà de la 15.5?

Répondre #52
On en parle sur Phoronix:
SUSE's Adaptable Linux Platform Considers Requiring AVX-Capable x86_64 CPUs

Pour ceux qui ont un vieux coucou (je suis avec un i7-920, mince ! ), il va falloir monter en gamme pour pouvoir accéder à "Adaptable Linux Platform" (ALP) (le successeur de SUSE/LEAP 15).
Le niveau de caractéristique de la microarchitecture Linux x86_64 nécessaire pour ALP passerait à x86-64-v3 selon l'article.
(C'est x86-64-v2 pour RHEL-9)

Infos sur x86-64, x86-64-v2, …
x86-64: CMOV, CMPXCHG8B, FPU, FXSR, MMX, FXSR, SCE, SSE, SSE2
x86-64-v2: (close to Nehalem) CMPXCHG16B, LAHF-SAHF, POPCNT, SSE3, SSE4.1, SSE4.2, SSSE3
x86-64-v3: (close to Haswell) AVX, AVX2, BMI1, BMI2, F16C, FMA, LZCNT, MOVBE, XSAVE
x86-64-v4: AVX512F, AVX512BW, AVX512CD, AVX512DQ, AVX512VL

Haswell = core-i de 4ème génération

Re : openSUSE LEAP va t'elle continuer au-delà de la 15.5?

Répondre #53
Pour ceux qui ont un vieux coucou (je suis avec un i7-920, mince ! ), il va falloir monter en gamme pour pouvoir accéder à "Adaptable Linux Platform" (ALP) (le successeur de SUSE/LEAP 15).
Le niveau de caractéristique de la microarchitecture Linux x86_64 nécessaire pour ALP passerait à x86-64-v3 selon l'article.
(C'est x86-64-v2 pour RHEL-9)

Je m'en tire tout juste avec mon i7-4770 mais en tant que particulier je ne sais pas comment apprécier cette information car c'en est une, un peu choquante pour moi de prime abord.

J'ai l'impression que le niveau d'exigences matérielles va considérablement s'élever dans un avenir relativement proche, pour pouvoir bénéficier d'une distribution dite stable (je ne considère pas seulement openSUSE dans ce mouvement).

Vaste champs de réflexions et d'inquiétudes.


Re : openSUSE LEAP va t'elle continuer au-delà de la 15.5?

Répondre #54
C'est toujours la même problématique, soit on supporte plein de vieux matos, soit on optimise pour le matériel récent, donc en utilisant lors de la compilation des instructions modernes, mais donc on laisse de côté pas mal de matériel.

Choix compliqué, rien que le x86-64-v2 semble augmenter les perfs de ce que j'avais lu.
Niveau performance il y avait ce test qui était passé:
https://www.phoronix.com/scan.php?page=article&item=mid22-linux-server&num=1

Le x86-64-v2 semble déjà apporter un gain non négligeable.

Re : openSUSE LEAP va t'elle continuer au-delà de la 15.5?

Répondre #55
Pour être compatible avec le plus possible de PC, on bride les nouveaux ? J'ignorais ceci.
Aujourd’hui Leap 15.4 et Tumbleweed nécessitent quel niveau ?

Re : openSUSE LEAP va t'elle continuer au-delà de la 15.5?

Répondre #56
ça a toujours été plus ou moins le cas, ce n'est pas pour rien que gentoo ou clearlinux performent autant en général en comparaison avec les distribs plus généralistes.

Re : openSUSE LEAP va t'elle continuer au-delà de la 15.5?

Répondre #57
ça a toujours été plus ou moins le cas, ce n'est pas pour rien que gentoo ou clearlinux performent autant en général en comparaison avec les distribs plus généralistes.
Quelle est la particularité de gentoo ou clearlinux ? Convenir au maximum de matériels ?

Re : openSUSE LEAP va t'elle continuer au-delà de la 15.5?

Répondre #58
Gentoo ==> compilation, donc si tu choisis bien tes flags, tu as les meilleures instructions possibles supportées par ton processeur, on peut difficilement faire mieux, c'est du spécifique à ta machine.
Clearlinux ==> Fait par intel, pour ses cpu, donc là aussi c'est une compilation optimisée aux petits oignons pour les cpu dernière génération en activant les options qui vont bien.

Re : openSUSE LEAP va t'elle continuer au-delà de la 15.5?

Répondre #59
Pour ceux qui ont un vieux coucou (je suis avec un i7-920, mince ! ), il va falloir monter en gamme pour pouvoir accéder à "Adaptable Linux Platform" (ALP) (le successeur de SUSE/LEAP 15).
Le niveau de caractéristique de la microarchitecture Linux x86_64 nécessaire pour ALP passerait à x86-64-v3 selon l'article.
(C'est x86-64-v2 pour RHEL-9)

Je m'en tire tout juste avec mon i7-4770 mais en tant que particulier je ne sais pas comment apprécier cette information car c'en est une, un peu choquante pour moi de prime abord.

J'ai l'impression que le niveau d'exigences matérielles va considérablement s'élever dans un avenir relativement proche, pour pouvoir bénéficier d'une distribution dite stable (je ne considère pas seulement openSUSE dans ce mouvement).

Vaste champs de réflexions et d'inquiétudes.



Quand je vous dis qu'il faut s'intéresser aux alternatives ou espérer un Fork...

Avec mon i3 - 3320, je suppose que c'est foutu ...